Subject: Re: general protection fault in mm_update_next_owner

From: [email-masked] (Eric W. Biederman)
Date: Mon, 10 Jun 2019 16:27:15 -0500

syzbot <[email-masked]> writes:

> syzbot has bisected this bug to:
>
> commit e9db4ef6bf4ca9894bb324c76e01b8f1a16b2650
> Author: John Fastabend <[email-masked]>
> Date:   Sat Jun 30 13:17:47 2018 +0000
>
>     bpf: sockhash fix omitted bucket lock in sock_close
>
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=15e978e1a00000
> start commit:   38e406f6 Merge git://git.kernel.org/pub/scm/linux/kernel/g..
> git tree:       net
> final crash:    https://syzkaller.appspot.com/x/report.txt?x=17e978e1a00000
> console output: https://syzkaller.appspot.com/x/log.txt?x=13e978e1a00000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=60564cb52ab29d5b
> dashboard link: https://syzkaller.appspot.com/bug?extid=f625baafb9a1c4bfc3f6
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1193d81ea00000
>
> Reported-by: [email-masked]
> Fixes: e9db4ef6bf4c ("bpf: sockhash fix omitted bucket lock in sock_close")
>
> For information about bisection process see: https://goo.gl/tpsmEJ#bisection

How is mm_update_next_owner connected to bpf?

Eric